在Breezy下安装Zope3

Python/PHP/Perl 开发与设计
回复
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

在Breezy下安装Zope3

#1

帖子 firehare » 2005-10-09 10:45

测试环境:Ubuntu Linux 5.10(breezy)

首先安装Zope3
$sudo apt-get install zope3
然后,创建自己的instance
$sudo dzhandle -z 3 make-instance firehare --addon-mode all
该命令会自动调用/usr/lib/zope3/bin/mkzopeinstance脚本,创建名为firehare的instance,该 instance在/var/lib/zope3/instance目录下,因为/etc/init.d/zope3启动脚本只会在该目录下进行搜索!如果你一定要将你的instance放在其他地方的话,也可以做一个软链接到该目录下。不过建议不要这样做!而如果直接运用 /usr/lib/zope3/bin/mkzopeinstance脚本创建的话,在Breezy下不能正常工作
修改你的instance的配置
$sudo vi /var/lib/zope3/instance/firehare/etc/zope.conf
然后启动Zope3服务即可
$sudo /etc/init.d/zope3 start
然后看到启动OK了,然后PS -A | grep zope3,结果什么也没有!
结果试着安装一下zope3-sandbox,sandbox的instance也是启动正常,但进程还是找不到,也不能正常访问,真是搞不懂!

最后,不知道是它的问题还是我的问题,有没有高手玩过,请指教!
我心无畏,源自于我心无知。
图片
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 firehare » 2005-10-10 20:59

在UbuntuForum上发了帖子,也没有回答,真是郁闷呀!上午UPDATE时发现有新的Zope3,可是安装之后,还是一样,难道是包的问题??
我心无畏,源自于我心无知。
图片
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#3

帖子 firehare » 2005-10-10 21:17

出错信息如下:

代码: 全选

------
2005-10-10T21:08:22 INFO root sleep 9 to avoid rapid restarts
------
2005-10-10T21:08:22 INFO root pid 11012: exit status 1
------
2005-10-10T21:08:31 INFO root spawned process pid=11022
Traceback (most recent call last):
  File "/var/lib/zope3/instance/sandbox/bin/runzope", line 48, in ?
    run()
  File "/var/lib/zope3/instance/sandbox/bin/runzope", line 44, in run
    main(["-C", CONFIG_FILE] + sys.argv[1:])
  File "/usr/lib/python2.4/site-packages/zope/app/server/main.py", line 58, in main
    setup(load_options(args))
  File "/usr/lib/python2.4/site-packages/zope/app/server/main.py", line 169, in
setup
    zope.app.appsetup.config(options.site_definition)
  File "/usr/lib/python2.4/site-packages/zope/app/appsetup/appsetup.py", line 52, in config
    context = xmlconfig.file(file, execute=execute)
  File "/usr/lib/python2.4/site-packages/zope/configuration/xmlconfig.py", line
557, in file
    context.execute_actions()
  File "/usr/lib/python2.4/site-packages/zope/configuration/config.py", line 622, in execute_actions
    callable(*args, **kw)
  File "/usr/lib/python2.4/site-packages/zope/app/onlinehelp/onlinehelp.py", line 123, in registerHelpTopic
    raise ConfigurationError(
zope.configuration.config.ConfigurationExecutionError: zope.configuration.exceptions.ConfigurationError: Help Topic definition /usr/lib/zope3/lib/python/zope/interface/README.txt does not exist
  in:
  File "/usr/lib/zope3/lib/python/zope/app/apidoc/bookmodule/book.zcml", line 11.4-16.10
      <bookchapter
          id="interface"
          title="Interfaces"
          doc_path="README.txt"
          parent="ifaceschema"
          />

------
2005-10-10T21:08:35 CRITICAL root restarting too frequently; quit
我心无畏,源自于我心无知。
图片
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#4

帖子 firehare » 2005-10-10 23:47

现在在Zope官方网站上找到Zope3是基于Python2.4.1和Python3.5.8的,而Breezy上的Python是2.4.2的,是否会有冲突?
我心无畏,源自于我心无知。
图片
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#5

帖子 yonsan » 2005-10-10 23:52

:o firehare 撑着吖, 搞通它!
暂时帮不上忙,成啦啦队了!
I will be back!
头像
leal
帖子: 1119
注册时间: 2005-08-29 14:49
来自: 杭州
送出感谢: 0
接收感谢: 3 次
联系:

#6

帖子 leal » 2005-10-11 0:03

firehare 写了:现在在Zope官方网站上找到Zope3是基于Python2.4.1和Python3.5.8的,而Breezy上的Python是2.4.2的,是否会有冲突?


装两个版本python会冲突吗? 行的话,作个符号连接到zope要求的python版本
用心×恒 | 豆瓣 | 门户 | Blog
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#7

帖子 firehare » 2005-10-11 12:31

我已经通过原包编译成功安装了!
安装Python 3.5,并安装它的一些相关包
然后在./configure --prefix /opt/zope时就可以找到该Python版本了。
如果找不到的话,还可以手工指定
./make
./make check(时间有点长)
sudo ./make install
好了之后,用mkzopeinstance就可以生成自己的instance了!

我先整理一下,下午把具体过程放上来!
我心无畏,源自于我心无知。
图片
zengsun
帖子: 334
注册时间: 2005-05-17 14:45
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 zengsun » 2005-10-11 14:17

这个框架都不会用!
现在还是在学java!
头像
Cyberfish
帖子: 266
注册时间: 2005-07-20 15:01
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 Cyberfish » 2005-10-11 16:17

弱弱得问,zope是干什么的
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#10

帖子 firehare » 2005-10-11 23:11

给你Zope3Book中的一段翻译:
==========================
  什么是Zope?这听起来应该是一个用一到两句话就能回答得简单的问题, 但我经常发现自己无法用简单的方式说明:“它是一个开放源码的应用服务器。它是一个内容管理系统。”。 这两个描述都是正确的, 但它们实际上是给Zope加上了其实并不存在的限制。因此在给出我对Zope的定义之前,让我们先收集一些已经使用了Zope的一些解决方案。依照以上提到的, 许多人使用Zope 作为一个内容管理系统, 它们通常是基于互联网的(通过浏览器管理) 系统。
  基本上,用户可以通过一组web表单、工作流和编辑工具来管理页面内容。然而,Zope使用了一个完全不同的CMS流派。
  其他公司,例如struktur AG,成功地使用Zope连接了XML数据库Tamino (来自software AG)。Zope第二个通常的用途就是作为一个Web应用服务器,用它可以建立基于Web的应用。例如:在线商店或者项目管理工具。当然,Zope也适合一般的网站。仍然, 到目前为止我们忽略一个用途。Zope可以用作管理公司操作逻辑的后台服务器。事实上,奥地利的bluedynamics.com以Zope2 ZClass和关系数据库建立了一个后勤软件,每天可以处理数百万的交易,使用XML-RPC技术采集的信用卡信息和仓库的客户订单信息。在我看来,这是Zope的真正力量。因为它不仅可以使用Web熟悉的协议来通信,更可以使用你能想象到的任何其他协来通信。Zope 3,它是组件架构的,更加促进了这个领域,因为第三方的产品可以很容易的嵌入甚至替换一些默认的组件。例如,Twisted framework就可以完全替换ZServer(Zope Server组件)。
现在,我们已经了解了一些Zope普通的和少有的用途,我们可以对Zope下一个明确的定义了。Zope是一个应用,一个后台服务器框架可以让开发者快速建立协议,开发应用(通常是基于Web的)和整合其他使用网络的服务。
  在Zope开发之前,Zope团体评估了很多可能使用的语言来开发这个框架,例如:Java,C/C++,Perl和Python。经过了广泛的研究,他们发现只有Python才能提供给他们在与其他大型的框架提供商(例如,IBM,BEA等)比较时有竞争性的优势。
我心无畏,源自于我心无知。
图片
头像
id_sonic
帖子: 339
注册时间: 2005-04-08 18:08
来自: Chongqing
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 id_sonic » 2006-02-27 14:12

遇到同样问题,无法解决,只有通过源代码安装运行了……
目前是 tinkpad r400 上的 debian 用户
my blog Trust Dating
回复

回到 “Python/Php/Perl”